> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-capabilities-accessor.md).

# /sys/capabilities-accessor

The `/sys/capabilities-accessor` endpoint is used to fetch the capabilities of the token associated with the given accessor. The capabilities returned will be derived from the policies that are on the token, and from the policies to which the token is entitled to through the entity and entity's group memberships.

### Query token accessor capabilities

This endpoint returns the capabilities of the token associated with the given accessor, for the given path. Multiple paths are taken in at once and the capabilities of the token associated with the given accessor for each path is returned. For backwards compatibility, if a single path is supplied, a `capabilities` field will also be returned.

| Method | Path                         |
| ------ | ---------------------------- |
| `POST` | `/sys/capabilities-accessor` |

#### Parameters

* `accessor` `(string: <required>)` – Accessor of the token for which capabilities are being queried.
* `paths` `(list: <required>)` – Paths on which capabilities are being queried.

#### Sample payload

```json
{
  "accessor": "abcd1234",
  "paths": ["secret/foo"]
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/capabilities-accessor
```

#### Sample response

```json
{
  "capabilities": ["delete", "list", "read", "update"],
  "secret/foo": ["delete", "list", "read", "update"]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-capabilities-accessor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
